TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

RealRoots ( elt-alg^pol F, rng S, elt-rng e ) -> seq()

### Description

<shortdoc> Given a polynomial F over Z or Q and a real ring S and a positive real number e, return the real roots of F with each root correct up to +-e. </shortdoc>

### Examples

RealRoots(X^2-2, RealField(30), 10^(-40));

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack